Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model.idea
[Java] Interface IdeaDependency

    org.gradle.tooling.model.idea.IdeaDependency
      org.gradle.tooling.model.Dependency

All Superinterfaces:
  Dependency

    public interface IdeaDependency
    extends Dependency

IDEA dependency.

Since:
  1.0-milestone-5

Method Summary
`boolean` | `getExported()` Allows to check if current dependency is transitive, i.e. is visible to the module which depends on module that has current dependency.
`IdeaDependencyScope` | `getScope()` scope of the current dependency.

Method Detail

### getExported

    public boolean getExported()

  Allows to check if current dependency is transitive, i.e. is visible to the module which depends on module that has current dependency.
  Returns:
    `true` if current dependency is transitive; `false` otherwise

### getScope

    public IdeaDependencyScope getScope()

  scope of the current dependency. Not-`null` all the time
  Returns:
    scope

Gradle API 1.1-rc-1